/*
                                 Visual FX
                                    For
                                 Image FX
                               SetUp Script
                           Written By J.L. White

                         (C)1997 Merlin's Software

*/
parse arg Num
options results
address "IMAGEFX.1"



	Gadget.1 = 'Select Direction Of Movement!'
	Gadget.2 = 'X Axis (Right / Left)'
	Gadget.3 = 'X Axis (Left / Right)'
	Gadget.4 = 'Y Axis (Down / Up)'
	Gadget.5 = 'Y Axis (Up / Down)'
	Gadget.6 = 'Z Axis (Shrink Back)'
	ListRequest 6 Gadget
	TurnD = 4
	if result = 2 then TurnD = 0
	if result = 3 then TurnD = 1
	if result = 4 then TurnD = 2
	if result = 5 then TurnD = 3
	if result = 6 then TurnD = 4

	Gadget.1 = 'Select Color Or Image To Fade To!'
	Gadget.2 = 'COLOR'
	Gadget.3 = 'IMAGE'
	ListRequest 3 Gadget
	Type = 0
	if result = 2 then Type = 0
	if result = 3 then Type = 1

	if Type = 1 then do
		ReDraw On
		LoadBuffer "VFXIFX:Images/Pics/Seamless.Pic" Force
		RequestNotify "Look At Examples For FileName Then Click OK"

		RequestFile '"Select File To Use For BackGround!" "VFXIFX:Images/Seamless" ""'
		PicName = result
		ColorPic = 1
		Color = 1
		Scroll = 0
		XOff = 0
		YOff = 0

		Gadget.1 = 'Do You Wish To Scroll Image?'
		Gadget.2 = 'Scroll Image'
		Gadget.3 = 'Do NOT Scroll'
		ListRequest 3 Gadget
		if result = 2 then Scroll = 1
		if result = 3 then Scroll = 0
		if Scroll = 1 then do

			text1 = '"Move X"'
			text2 = '"Move Y"'
			Gadget.1  = 'SLIDER LE=60 TE=4 WD=150 HT=14 LB='text1' IN=1 LO=-10 HI=10 LV=%-3ld'
			Gadget.2  = 'SLIDER LE=60 TE=22 WD=150 HT=14 LB='text2' IN=1 LO=-10 HI=10 LV=%-3ld'
			Gadget.3 = 'END'
			NewComplexRequest  '"Select X & Y Movements!"' Gadget 250 42
			if rc ~= 0 then do
				XOff = 0
				YOff = 0
				end
			else do
				XOff = RESULT.1
				YOff = RESULT.2
				end
			end

		end
	else do

		ActiveColor 0
		RequestNotify "Click On Color To Use As BackGround Then Click OK"
		ActiveColor
		Color = result
		ColorPic = 0
		PicName = ""
		Scroll = 0
		XOff = 0
		YOff = 0
		ActiveColor 1
		end

call open TempFile,"VFXIFX:TempDrawer/"strip(Num),W
call writeln TempFile,Color
call writeln TempFile,ColorPic
call writeln TempFile,PicName
call writeln TempFile,Scroll
call writeln TempFile,XOff
call writeln TempFile,YOff
call writeln TempFile,TurnD
call close TempFile
