/*
                                 Visual FX
                                    For
                                 Image FX
                               SetUp Script
                           Written By J.L. White

                         (C)1997 Merlin's Software

*/
parse arg Num
options results
address "IMAGEFX.1"


call GetQuad()
call open TempFile,"VFXIFX:TempDrawer/"strip(Num),W
call writeln TempFile,Quad1
call writeln TempFile,Quad2
call writeln TempFile,Quad3
call writeln TempFile,Quad4
call close TempFile

exit



GetQuad:
	text1 = '"Top Left"'
	text2 = '""'
	text3 = '"Bottom Left"'
	text4 = '""'
	textA = '"Top Right"'
	textB = '"Bottom Right"'

	Gadget.1 = 'CYCLE LE=105 TE=4 WD=50 HT=16 LB='text1' IN=0 " 1 / 2 / 3 / 4 "'
	Gadget.2  = 'CYCLE LE=204 TE=4 WD=50 HT=16 LB='text2' IN=2 " 1 / 2 / 3 / 4 "'
	Gadget.3  = 'CYCLE LE=105 TE=24 WD=50 HT=16 LB='text3' IN=3 " 1 / 2 / 3 / 4 "'
	Gadget.4 = 'CYCLE LE=204 TE=24 WD=50 HT=16 LB='text4' IN=1 " 1 / 2 / 3 / 4 "'
	Gadget.5 = 'TEXT LE = 260 TE=8 WD=50 HT=16 LB='textA' PN=1 JU =0'
	Gadget.6 = 'TEXT LE = 260 TE=28 WD=50 HT=16 LB='textB' PN=1 JU =0'
	Gadget.7 = 'END'
	NewComplexRequest  '"Select Order For Quadrant Fade!"' Gadget 367 46
	if rc ~= 0 then do
		Quad1 = 1
		Quad2 = 3
		Quad3 = 4
		Quad4 = 2
		end
	else do
		Quad1 = RESULT.1+1
		Quad2 = RESULT.2+1
		Quad3 = RESULT.3+1
		Quad4 = RESULT.4+1
	end

	if Quad1 = Quad2 | Quad1 = Quad3 | Quad1 = Quad4 | Quad2 = Quad3 | Quad2 = Quad4 | Quad3 = Quad4 then do
		RequestNotify "Each Quadrant MUST Have A Different Number!"
		call GetQuad()
	end
return
